
Katello - Bug #23853

Organization delete fails with "update or delete on table "katello_content_facets" violates foreign key

constraint "katello_content_facet_errata_ca_id""

06/07/2018 09:00 PM - Eric Helms

Status: Duplicate   

Priority: High   

Assignee:    

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:616:in `async_exec'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:616:in `block (2 levels) in exec_no_cache'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/dependen

cies/interlock.rb:46:in `block in permit_concurrent_loads'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/concurre

ncy/share_lock.rb:185:in `yield_shares'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/dependen

cies/interlock.rb:45:in `permit_concurrent_loads'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:615:in `block in exec_no_cache'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract_adapter.rb:613:in `block (2 levels) in log'

/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract_adapter.rb:612:in `block in log'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/notifica

tions/instrumenter.rb:21:in `instrument'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract_adapter.rb:604:in `log'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:614:in `exec_no_cache'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:603:in `execute_and_clear'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql/database_statements.rb:92:in `exec_delete'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract/database_statements.rb:145:in `delete'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract/query_cache.rb:17:in `delete'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation.r

b:510:in `delete_all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/has_many_through_association.rb:160:in `delete_records'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/has_many_through_association.rb:133:in `delete_or_nullify_all_records'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/collection_association.rb:159:in `delete_all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/collection_proxy.rb:500:in `delete_all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/collection_proxy.rb:1071:in `clear'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/content_view/re

move.rb:70:in `block in plan'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:374:in `s

witch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:401:in `sequence'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/content_view/re

move.rb:27:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:493:in `block (3 

levels) in execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/world.rb:30:in `

execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:492:in `block (2 

levels) in execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:374:in `s

witch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:396:in `concurren

ce'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:491:in `block in 

execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `block in 

with_error_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `catch'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `with_erro

r_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:490:in `execute_p

lan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:278:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/plan_s

tep.rb:54:in `block in execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/abstra

ct.rb:162:in `with_meta_calculation'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/plan_s

tep.rb:53:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:424:in `plan_acti

on'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/environment/des

troy.rb:23:in `block (3 levels) in plan'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/d

elegation.rb:39:in `each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/d

elegation.rb:39:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/environment/des

troy.rb:22:in `block (2 levels) in plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:374:in `s

witch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:396:in `concurren

ce'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/environment/des

troy.rb:21:in `block in plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:374:in `s

witch_flow'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:401:in `sequence'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/environment/des

troy.rb:18:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:493:in `block (3 

levels) in execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/middleware/remote_actio

n.rb:9:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/world.rb:30:in `

execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:492:in `block (2 

levels) in execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:374:in `s

witch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:396:in `concurren

ce'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:491:in `block in 

execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `block in 

with_error_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `catch'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `with_erro

r_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:490:in `execute_p

lan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:278:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/plan_s

tep.rb:54:in `block in execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/abstra

ct.rb:162:in `with_meta_calculation'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/plan_s

tep.rb:53:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:424:in `plan_acti

on'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/organization/de

stroy.rb:62:in `block (2 levels) in remove_environments'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/organization/de

stroy.rb:61:in `reverse_each'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/organization/de

stroy.rb:61:in `block in remove_environments'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/organization/de

stroy.rb:60:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/organization/de

stroy.rb:60:in `remove_environments'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/organization/de
stroy.rb:18:in `block in plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:374:in `s

witch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:401:in `sequence'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/organization/de

stroy.rb:12:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:493:in `block (3 

levels) in execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/middleware/remote_actio

n.rb:9:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/world.rb:30:in `

execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:492:in `block (2 

levels) in execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:374:in `s

witch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:396:in `concurren

ce'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:491:in `block in 

execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `block in 

with_error_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `catch'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:451:in `with_erro

r_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:490:in `execute_p

lan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/action.rb:278:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/plan_s

tep.rb:54:in `block in execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/abstra

ct.rb:162:in `with_meta_calculation'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan/steps/plan_s

tep.rb:53:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:276:in `b

lock (2 levels) in plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:374:in `s

witch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:364:in `w

ith_planning_scope'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:275:in `b

lock in plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:43:in `plan_p

hase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:43:in `plan_p

hase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:43:in `plan_p

hase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:26:in `

pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/common/transacti

on.rb:16:in `block in rollback_on_error'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract/database_statements.rb:235:in `block in transaction'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract/transaction.rb:194:in `block in within_new_transaction'

/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract/transaction.rb:191:in `within_new_transaction'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract/database_statements.rb:235:in `transaction'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/transactio

ns.rb:210:in `transaction'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/transaction_adapters/active

_record.rb:5:in `transaction'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/common/transacti

on.rb:15:in `rollback_on_error'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/common/transacti

on.rb:5:in `plan_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/stack.rb:22:in `

call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/middleware/world.rb:30:in `

execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/execution_plan.rb:274:in `p

lan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/world.rb:174:in `block in p

lan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/world.rb:172:in `tap'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/world.rb:172:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.3/lib/dynflow/world.rb:148:in `trigger'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.1/lib/foreman_tasks.rb:19:in `trig

ger'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.1/lib/foreman_tasks.rb:25:in `bloc

k in trigger_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.1/lib/foreman_tasks.rb:39:in `bloc

k in rails_safe_trigger_task'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/dependen

cies/interlock.rb:46:in `block in permit_concurrent_loads'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/concurre

ncy/share_lock.rb:185:in `yield_shares'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/dependen

cies/interlock.rb:45:in `permit_concurrent_loads'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.1/lib/foreman_tasks.rb:38:in `rail

s_safe_trigger_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.1/lib/foreman_tasks.rb:23:in `trig
ger_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.1/lib/foreman_tasks.rb:47:in `asyn

c_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.1/lib/foreman_tasks/triggers.rb:18

:in `async_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/controllers/katello/api/v2/organiza

tions_controller.rb:89:in `destroy'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_controller/metal/ba

sic_implicit_render.rb:4:in `send_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/abstract_controller/base.r

b:186:in `process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_controller/metal/re

ndering.rb:30:in `process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/abstract_controller/callba

cks.rb:20:in `block in process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:108:in `block in run_callbacks'

/usr/share/foreman/app/controllers/api/v2/base_controller.rb:162:in `disable_json_root'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:117:in `block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in `set_timezone'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:117:in `block in run_callbacks'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:117:in `block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar

_sweeper_controller'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:117:in `block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.0/lib/audited/sweeper.rb:14:in `around'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:117:in `block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.0/lib/audited/sweeper.rb:14:in `around'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:117:in `block in run_callbacks'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:135:in `run_callbacks'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/abstract_controller/callba

cks.rb:19:in `process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_controller/metal/re

scue.rb:20:in `process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_controller/metal/in

strumentation.rb:32:in `block in process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/notifica

tions.rb:166:in `block in instrument'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/notifica

tions/instrumenter.rb:21:in `instrument'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/notifica

tions.rb:166:in `instrument'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_controller/metal/in

strumentation.rb:30:in `process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_controller/metal/pa

rams_wrapper.rb:252:in `process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/railties/c

ontroller_runtime.rb:22:in `process_action'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/abstract_controller/base.r

b:124:in `process'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.6/lib/action_view/rendering.rb:3

0:in `process'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_controller/metal.rb

:189:in `dispatch'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_controller/metal.rb

:253:in `dispatch'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/routing/ro

ute_set.rb:49:in `dispatch'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/routing/ro
ute_set.rb:31:in `serve'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/routing/ma

pper.rb:16:in `block in <class:Constraints>'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/routing/ma

pper.rb:46:in `serve'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/journey/ro

uter.rb:50:in `block in serve'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/journey/ro

uter.rb:33:in `each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/journey/ro

uter.rb:33:in `serve'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/routing/ro

ute_set.rb:844:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/lib/rails/engine.rb:522:in `call

'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/lib/rails/railtie.rb:185:in `pub

lic_send'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/lib/rails/railtie.rb:185:in `met

hod_missing'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/routing/ma

pper.rb:17:in `block in <class:Constraints>'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/routing/ma

pper.rb:46:in `serve'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/journey/ro

uter.rb:50:in `block in serve'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/journey/ro

uter.rb:33:in `each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/journey/ro

uter.rb:33:in `serve'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/routing/ro

ute_set.rb:844:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/static.rb:125:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/static.rb:125:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.7/lib/apipie/static_dispatcher.rb:65

:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.7/lib/apipie/extractor/recorder.rb:1

36:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/static.rb:125:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/static.rb:125:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/static.rb:125:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/static.rb:125:in `call'

/usr/share/foreman/lib/middleware/telemetry.rb:9:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.7/lib/apipie/middleware/checksum_in_

headers.rb:27:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/etag.rb:25:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/conditional_get.rb:38:in `c

all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/head.rb:12:in `call'

/usr/share/foreman/lib/middleware/logging_context.rb:23:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:232:

in `context'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:226:

in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/cookies.rb:613:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/callbacks.rb:26:in `block in call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/callback

s.rb:97:in `run_callbacks'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware
/callbacks.rb:24:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/debug_exceptions.rb:59:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/show_exceptions.rb:31:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/lib/rails/rack/logger.rb:36:in `

call_app'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/lib/rails/rack/logger.rb:26:in `

call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet

_assets.rb:13:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/remote_ip.rb:79:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/request_id.rb:25:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/lib/katello/prevent_json_parsing.rb:12:

in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/method_override.rb:22:in `c

all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/runtime.rb:22:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/cache/st

rategy/local_cache_middleware.rb:27:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/executor.rb:12:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/lib/action_dispatch/middleware

/static.rb:125:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/sendfile.rb:111:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-5.0.5/lib/secure_headers/middleware.rb

:13:in `call'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/lib/rails/engine.rb:522:in `call

'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/lib/rails/railtie.rb:185:in `pub

lic_send'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/lib/rails/railtie.rb:185:in `met

hod_missing'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:68:in `block in c

all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:53:in `each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:53:in `call'

/usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_proces

s_next_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

/usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_thread

s'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:i

n `block in create_with_logging_context'

Related issues:

Is duplicate of Katello - Bug #23873: Cannot destroy content view when it has... Closed 06/11/2018

History

#1 - 06/12/2018 12:40 AM - Justin Sherrill

- Status changed from New to Duplicate

- translation missing: en.field_release changed from 338 to 166

#2 - 06/12/2018 12:40 AM - Justin Sherrill

- Is duplicate of Bug #23873: Cannot destroy content view when it has content facet errata added
